%define		_state		stable
%define		orgname		ffmpegthumbs
%define		qtver		4.8.1

Summary:	Video thumbnail generator for KDE
Summary(pl.UTF-8):	Generator podglądów video dla KDE
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	7a352e87112306df5a7edcd6bba37b67
Patch0:		ffmpeg3.patch
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	ffmpeg-devel >= 0.8
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdebase >= %{version}
Requires:	ffmpeg >= 0.8
Obsoletes:	kde4-kdemultimedia-ffmpegthumbs < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFMpegThumbs is a video thumbnail generator for KDE file managers
(Konqueror, Dolphin, ...) , now available also for KDE 4.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/ffmpegthumbs.so
%{_datadir}/kde4/services/ffmpegthumbs.desktop
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-ffmpegthumbs.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> f132238
- rebuild for g++ ABI changes
- release 4 (by relup.sh)

* Sun Apr 29 2018 Jan Rękorajski <baggins@pld-linux.org> 83b4955
- rebuild with ffmpeg 4.0
- release 3 (by relup.sh)

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> a5d69b3
- added ffmpeg build fix from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=803813
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 236a786
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1821e27
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4b0a8da
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 74b5b54
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e35e7ff
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c25becf
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ae9eea5
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8a5d5d3
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4dad7d9
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 2171369
- 4.12.0

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> c54443d
- release 2 (by relup.sh)

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 448751f
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 8423dfd
- 4.10.0

* Mon Feb 11 2013 Jan Rękorajski <baggins@pld-linux.org> c630d51
- release 3 (by relup.sh)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d934ed2
- release 2 (by relup.sh)

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5a6ba82
- updated to 4.9.4

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> ac16814
- release 2 (by relup.sh)

